﻿body {
}
/*.T_01{
    border:1px solid #000000;
    width:100%;
    height:auto;

}
.T_01, th, td {
    border: 1px solid black;
    border-collapse: collapse;
}*/


.T_01 {
    /*width: calc(100% - 20px);*/
    width: 100%;
    border-collapse: collapse;
    /*border-collapse: separate;*/
    margin: 0;
    padding: 0;
    table-layout: fixed;
    position: relative;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

    .T_01 tr th {
        font-size: 14px;
        text-transform: uppercase;
        font-weight: 500;
        /*color: #13957c;*/
        border-bottom: 1px solid rgba(0,0,0,.1);
        border-top: 1px solid rgba(0,0,0,.1);
        /*margin: 8px 0px;*/
        /*        -webkit-box-shadow: 0px 2px 2px 0px rgba(0,0,0,0.12);
        -moz-box-shadow: 0px 2px 2px 0px rgba(0,0,0,0.12);
        box-shadow: 0px 2px 2px 0px rgba(0,0,0,0.12);*/

        background: rgba(237,237,237,.6);
        background: -moz-linear-gradient(top, rgba(237,237,237,.6) 0%, rgba(246,246,246,.6) 53%, rgba(255,255,255,.6) 100%);
        background: -webkit-gradient(left top, left bottom, color-stop(0%, rgba(237,237,237,.6)), color-stop(53%, rgba(246,246,246,.6)), color-stop(100%, rgba(255,255,255,.6)));
        background: -webkit-linear-gradient(top, rgba(237,237,237,.6) 0%, rgba(246,246,246,.6) 53%, rgba(255,255,255,.6) 100%);
        background: -o-linear-gradient(top, rgba(237,237,237,.6) 0%, rgba(246,246,246,.6) 53%, rgba(255,255,255,.6) 100%);
        background: -ms-linear-gradient(top, rgba(237,237,237,.6) 0%, rgba(246,246,246,.6) 53%, rgba(255,255,255,.6) 100%);
        background: linear-gradient(to bottom, rgba(237,237,237,.6) 0%, rgba(246,246,246,.6) 53%, rgba(255,255,255,.6) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ededed', endColorstr='#ffffff', GradientType=0 );
        cursor: default;
    }

    .T_01 tr {
        /*background-color: #f8f8f8;*/
        /*border: 1px solid #ddd;*/
        border-bottom: 1px solid rgba(0,0,0,.1);
        cursor: pointer;
        -webkit-transition: all 0.3s 0s ease;
        -moz-transition: all 0.3s 0s ease;
        -o-transition: all 0.3s 0s ease;
        transition: all 0.3s 0s ease;
    }

    .T_01 th, .T_01 td {
        font-size: 12px;
        padding: 6px 4px;
        text-align: left;
    }

    .T_01 th {
        padding: 4px 6px;
    }

    .T_01 tr th {
        text-transform: uppercase;
        background-color: #f8f8f8;
        background-color: #f9f9f9;
        z-index: 10;
        position: sticky;
        top: -1px;
        border-bottom: 1px solid rgba(0,0,0,.1);
        box-shadow: inset 0 1px 0 rgba(0,0,0,.1);
        /*border-bottom:inset solid rgba(0,0,0,1);*/
    }

        .T_01 tr th img {
            width: 16px;
            height: 16px;
            margin: 0;
            padding: 0;
        }

    .T_01 tr td {
        /*border-bottom:1px solid rgba(0,0,0,.1);*/
        border-right: 1px solid rgba(0,0,0,.06);
        z-index: 8;
    }

    .T_01 tbody tr:hover {
        background-color: rgba(255, 255, 255, 1.0);
    }

        .T_01 tbody tr:hover .T_01_btn_menu {
            visibility: visible !important;
        }

tr:nth-child(odd) {
    background: rgba(248,248,248,.8);
}



.T_01_btn_menu {
    width: 220px;
    height: 30px;
    position: absolute;
    right: 2px;
    margin-top: -15px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    flex-wrap: nowrap;
    gap: 4px;
    visibility: hidden;
    background: rgba(0,0,0,0);
    background: -moz-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 0%, rgba(255,255,255,0.8) 14%);
    background: -webkit-gradient(left top, right top, color-stop(0%, rgba(0,0,0,0)), color-stop(0%, rgba(255,255,255,0)), color-stop(0%, rgba(255,255,255,0)), color-stop(14%, rgba(255,255,255,0.8)));
    background: -webkit-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 0%, rgba(255,255,255,0.8) 14%);
    background: -o-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 0%, rgba(255,255,255,0.8) 14%);
    background: -ms-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 0%, rgba(255,255,255,0.8) 14%);
    background: linear-gradient(to right, rgba(0,0,0,0) 0%, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 0%, rgba(255,255,255,0.8) 14%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#000000', endColorstr='#ffffff', GradientType=1 );
}


/*tr:nth-child(even) {
    background: rgba(248,248,248,.8);
}

tr:nth-child(odd) {
    background: rgba(248,248,248,.0);
}*/

/*    .T_01 tbody td:hover {
        background-color: rgba(0, 0, 0, 0.01);
    }*/

.T_01 tr td a {
    color: rgba(0,0,0,1);
    background-color: rgba(83,83,83,.2);
    padding: 2px 6px;
    border-radius: 6px 6px 6px 6px;
    -moz-border-radius: 6px 6px 6px 6px;
    -webkit-border-radius: 6px 6px 6px 6px;
}

    .T_01 tr td a:hover {
        background-color: #dea800;
        color: #000000;
    }

    .T_01 tr td a span {
        color: #fb0303;
    }
/***************************************************************************************/
.T_02 {
    /*width: calc(100% - 20px);*/
    width: 100%;
    border-collapse: collapse;
    border-collapse: unset;
    /*border-collapse: separate;*/
    margin: 0;
    padding: 0;
    table-layout: fixed;
    position: relative;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}




/*********************************************************************************************************************/

.table_2 {
    /*width: calc(100% - 20px);*/
    /*border: 1px solid #ccc;*/
    width: 100%;
    border-collapse: collapse;
    margin: 0;
    padding: 0;
    table-layout: fixed;
    cursor: pointer;
    -webkit-transition: all 0.3s 0s ease;
    -moz-transition: all 0.3s 0s ease;
    -o-transition: all 0.3s 0s ease;
    transition: all 0.3s 0s ease;
    border: 0 !important;
}

    .table_2 tbody tr th { /*resiente*/
        position: sticky;
        top: -1px;
        cursor: default;
        background-color: rgba(255,255,255,1);
    }

    .table_2 caption {
        font-size: 16px;
        text-transform: uppercase;
        font-weight: bold;
        margin: 6px 0px;
    }

    .table_2 tr {
        background-color: #f8f8f8;
        /*border: 1px solid rgba(0,0,0,.1);*/
    }

    .table_2 th, .table_2 td {
        font-size: 16px;
        padding: 4px;
        text-align: center;
    }

    .table_2 thead th {
        text-transform: uppercase;
        background-color: rgba(255, 255, 255, 1);
        position: sticky;
        top: -1px;
        border-bottom: inset 1px solid rgba(0,0,0,1);
        outline: 1px solid rgba(251,117,110,0.08);
        cursor: default !important;
    }

    .table_2 tbody tr:hover {
        background-color: rgba(0, 0, 0, 0.1);
    }

    .table_2 tbody td:hover {
        background-color: rgba(0, 0, 0, 0.01);
    }

    .table_2 tbody tr {
        z-index: 4;
        border-bottom: 1px solid rgba(0,0,0,0.08);
    }

        .table_2 tbody tr:hover {
            background-color: rgba(255, 255, 255, 1.0);
            z-index: 8 !important;
            background-color: rgba(251, 217, 110, 0.8);
            -webkit-box-shadow: 0px 0px 1px 0px rgba(0,0,0,0.75);
            -moz-box-shadow: 0px 0px 1px 0px rgba(0,0,0,0.75);
            box-shadow: 0px 0px 1px 0px rgba(0,0,0,0.75);
        }

    .table_2 tr:nth-child(odd) {
        background: rgba(242,242,242,1);
    }

    .table_2 tbody tr:nth-child(odd):hover {
        -webkit-box-shadow: 0px 0px 1px 0px rgba(0,0,0,0.75);
        -moz-box-shadow: 0px 0px 1px 0px rgba(0,0,0,0.75);
        box-shadow: 0px 0px 1px 0px rgba(0,0,0,0.75);
    }


.table_2_href {
    width: 30px;
    height: 30px;
    padding: 4px !important;
    margin: 0 !important;
    border: 1px solid rgba(0,0,0,0.2);
    border-radius: 6px 6px 6px 6px;
    -moz-border-radius: 6px 6px 6px 6px;
    -webkit-border-radius: 6px 6px 6px 6px;
}

    .table_2_href:hover {
        background-color: rgba(255,255,255,1);
    }

.table_2_link {
    padding: 4px !important;
    padding-bottom: 0px !important;
    margin: 0 !important;
    height: auto;
    text-align: center;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: center;
    align-content: center;
    gap: 10px;
    opacity: 0.0;
}

.table_2 tbody tr:hover .table_2_link {
    opacity: 0.8;
}

@media screen and (max-width: 600px) {
    .table_2 {
        border: 0px;
    }

        .table_2 caption {
            font-size: 22px;
        }

        .table_2 thead {
            display: none;
        }

        .table_2 tr {
            margin-bottom: 8px;
            border-bottom: 4px solid #ddd;
            display: block;
        }

        .table_2 th, .table_2 td {
            font-size: 12px;
        }

        .table_2 td {
            display: block;
            border-bottom: 1px solid #ddd;
            text-align: right;
        }

            .table_2 td:last-child {
                border-bottom: 0px;
            }

            .table_2 td::before {
                content: attr(data-label);
                font-weight: bold;
                text-transform: uppercase;
                float: left;
            }
}



/*******************************************************************************************************/
.tabla_4 {
    width: 100%;
    border-collapse: collapse !important;
    margin: 0;
    padding: 0;
    table-layout: fixed;
    position: relative;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.table_4 tbody tr th {
    position: sticky;
    top: -1px;
    cursor: default;
    background-color: rgba(255,255,255,1);
}
/*    .tabla_4 caption {
        font-size: 16px;
        text-transform: uppercase;
        font-weight: 600;
        margin: 8px 0px;
    }*/



/*.tabla_4 tr {
        background-color: rgba(255,255,255,0);*/
/*border: 0px;*/
/*}*/

/*    .tabla_4 th, .tabla_4 td {
        font-size: 12px;
        padding: 4px;
        color:rgba(0,0,0,.8);
        text-align: center;
    }*/

/*    .tabla_4 thead th {
        text-transform: uppercase;
        background-color: #ddd;
        position: sticky;
        top: -1px;
    }*/

.tabla_4 tbody tr:hover {
    background-color: rgba(253, 218, 120, 1);
    -webkit-box-shadow: 0px 0px 6px 0px rgba(0,0,0,0.6);
    -moz-box-shadow: 0px 0px 6px 0px rgba(0,0,0,0.6);
    box-shadow: 0px 0px 6px 0px rgba(0,0,0,0.6);
}

/*    .T_01 tbody tr:hover {
        background-color: rgba(255, 255, 255, 1.0);
    }*/

tr:nth-child(odd) {
    background: rgba(248,248,248,.8);
}

/*    .tabla_4 tbody td:hover {
        background-color: rgba(0, 0, 0, 0.3);
    }*/

@media screen and (max-width: 600px) {
    .tabla_4 {
        border: 0px;
    }

        .tabla_4 caption {
            font-size: 22px;
        }

        .tabla_4 thead {
            display: none;
        }

        .tabla_4 tr {
            margin-bottom: 8px;
            border-bottom: 4px solid #ddd;
            display: block;
        }

        .tabla_4 th, .table td {
            font-size: 12px;
        }

        .tabla_4 td {
            display: block;
            border-bottom: 1px solid #ddd;
            text-align: right;
        }

            .tabla_4 td:last-child {
                border-bottom: 0px;
            }

            .tabla_4 td::before {
                content: attr(data-label);
                font-weight: bold;
                text-transform: uppercase;
                float: left;
            }
}

/******************************************************************* Tabla_02  ***********************************************************************/
.Tabla_02 {
    width: 100%;
    /*border-collapse: collapse;*/
    border-collapse: separate;
    margin: 0;
    padding: 0;
    table-layout: fixed;
    position: relative;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

    .Tabla_02 tr th {
        font-size: 16px;
        text-transform: uppercase;
        font-weight: 500;
        /*color: #13957c;*/
        border-bottom: 1px solid rgba(0,0,0,.1);
        border-top: 1px solid rgba(0,0,0,.1);
        /*margin: 8px 0px;*/
        /*        -webkit-box-shadow: 0px 2px 2px 0px rgba(0,0,0,0.12);
        -moz-box-shadow: 0px 2px 2px 0px rgba(0,0,0,0.12);
        box-shadow: 0px 2px 2px 0px rgba(0,0,0,0.12);*/

        background: rgba(237,237,237,.6);
        background: -moz-linear-gradient(top, rgba(237,237,237,.6) 0%, rgba(246,246,246,.6) 53%, rgba(255,255,255,.6) 100%);
        background: -webkit-gradient(left top, left bottom, color-stop(0%, rgba(237,237,237,.6)), color-stop(53%, rgba(246,246,246,.6)), color-stop(100%, rgba(255,255,255,.6)));
        background: -webkit-linear-gradient(top, rgba(237,237,237,.6) 0%, rgba(246,246,246,.6) 53%, rgba(255,255,255,.6) 100%);
        background: -o-linear-gradient(top, rgba(237,237,237,.6) 0%, rgba(246,246,246,.6) 53%, rgba(255,255,255,.6) 100%);
        background: -ms-linear-gradient(top, rgba(237,237,237,.6) 0%, rgba(246,246,246,.6) 53%, rgba(255,255,255,.6) 100%);
        background: linear-gradient(to bottom, rgba(237,237,237,.6) 0%, rgba(246,246,246,.6) 53%, rgba(255,255,255,.6) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ededed', endColorstr='#ffffff', GradientType=0 );
        cursor: default;
    }

    .Tabla_02 tr {
        /*background-color: #f8f8f8;*/
        /*border: 1px solid #ddd;*/
        border-bottom: 1px solid rgba(0,0,0,.1);
        cursor: pointer;
        -webkit-transition: all 0.3s 0s ease;
        -moz-transition: all 0.3s 0s ease;
        -o-transition: all 0.3s 0s ease;
        transition: all 0.3s 0s ease;
    }

    .Tabla_02 th, .Tabla_02 td {
        font-size: 12px;
        padding: 4px;
        text-align: left;
    }

    .Tabla_02 th {
        padding: 4px 6px;
    }

    .Tabla_02 tr th {
        text-transform: uppercase;
        background-color: #f8f8f8;
        background-color: #f9f9f9;
        z-index: 10;
        position: sticky;
        top: -1px;
        border-bottom: 1px solid rgba(0,0,0,.1);
        box-shadow: inset 0 1px 0 rgba(0,0,0,.1);
        /*border-bottom:inset solid rgba(0,0,0,1);*/
    }

    .Tabla_02 tr td {
        /*border-bottom:1px solid rgba(0,0,0,.1);*/
        border-right: 1px solid rgba(0,0,0,.06);
        z-index: 8;
    }

    .Tabla_02 tbody tr:hover {
        background-color: rgba(255, 255, 255, 1.0);
    }

tr:nth-child(odd) {
    background: rgba(248,248,248,.8);
}



/********************************************************************************************************/
/******************************* Tabla Claro ***********************************************/
.table_a, .table_ck, .table_h {
    width: 100% !important;
    background: white;
    margin-bottom: 1.25em;
    border: solid 1px #dddddd;
    border-collapse: collapse;
    border-spacing: 0;
}

    .table_a tbody tr th,
    .table_ck tbody tr th,
    .table_h tbody tr th {
        position: sticky;
        top: -1px;
        cursor: default;
        background-color: rgba(255,255,255,1);
        /*border-bottom: 1px solid rgba(253,218,120,.2);*/
        box-shadow: inset 0 -1px 0 rgba(221,221,221,0.1);
        cursor: default;
    }

    .table_a tr th,
    .table_a tr td {
        padding: 0.5625em 0.625em;
        font-size: 12.4px;
        color: #222222;
        border: 1px solid #dddddd;
        cursor: pointer;
    }
    .table_ck tr th,
    .table_ck tr td {
        padding: 0.5625em 0.625em;
        font-size: 12.4px;
        color: #222222;
        border: 1px solid #dddddd;
        cursor: pointer;
    }
    .table_h tr th,
    .table_h tr td {
        padding: 0.5625em 0.625em;
        font-size: 12.4px;
        color: #222222;
        border: 1px solid #dddddd;
        cursor: pointer;
    }
    .table_a tbody tr:hover,
    .table_ck tbody tr:hover,
    .table_h tbody tr:hover {
        background-color: rgba(222,168,0,0.2);
    }

    .table_a tr.even,
    .table_a tr.alt,
    .table_a tr:nth-of-type(even) {
        background: #f9f9f9;
    }
    .table_ck tr.even,
    .table_ck tr.alt,
    .table_ck tr:nth-of-type(even) {
        background: #f9f9f9;
    }
    .table_h tr.even,
    .table_h tr.alt,
    .table_h tr:nth-of-type(even) {
        background: #f9f9f9;
    }
    .table_a tr td a,
    .table_ck tr td a,
    .table_h tr td a {
        color: rgba(0,0,0,1);
        background-color: rgba(83,83,83,.2);
        padding: 2px 6px;
        border-radius: 6px 6px 6px 6px;
        -moz-border-radius: 6px 6px 6px 6px;
        -webkit-border-radius: 6px 6px 6px 6px;
    }

        .table_a tr td a:hover,
        .table_ck tr td a:hover,
        .table_h tr td a:hover {
            background-color: #dea800;
            color: #000000;
        }

        .table_a tr td a span,
        .table_ck tr td a span,
        .table_h tr td a span {
            color: #fb0303;
        }

    .table_a tr th img,
    .table_ck tr th img,
    .table_h tr th img {
        width: 16px;
        height: 16px;
        margin: 0;
        padding: 0;
    }

@media screen and (max-width: 600px) {
    .table_a,
    .table_ck,
    .table_h {
        border: 0px;
    }

        .table_a tbody tr th,
        .table_ck tbody tr th,
        .table_h tbody tr th {
            display: none;
        }

        .table_a tr,
        .table_ck tr,
        .table_h tr {
            margin-bottom: 8px;
            border-bottom: 4px solid #ddd;
            display: block;
        }

        /*        .table_a th, .table_a td {
            font-size: 12px;
        }*/

        .table_a td,
        .table_ck td,
        .table_h td {
            display: block;
            border-bottom: 1px solid #ddd;
            text-align: right;
        }

            .table_a td:last-child,
            .table_ck td:last-child,
            .table_h td:last-child {
                border-bottom: 0px;
            }

            .table_a td::before,
            .table_ck td::before,
            .table_h td::before {
                content: attr(data-label);
                font-weight: bold;
                text-transform: uppercase;
                float: left;
            }
}



/**************************************************************************************************************/
/******************************* Tabla oscuro ***********************************************/
.table_b {
    width: 100%;
    background: rgba(56,56,56,1);
    margin-top: 0.5em;
    margin-bottom: 1.25em;
    border: solid 1px rgba(255,255,255,.2) !important;
    border-collapse: collapse;
    border-spacing: 0;
}

    .table_b tbody tr th {
        position: sticky;
        top: -1px;
        cursor: default;
        background-color: rgba(56,56,56,1);
        /*border-bottom: 1px solid rgba(253,218,120,.2);*/
        box-shadow: inset 0 -1px 0 rgba(221,221,221,0.1);
        cursor: default;
    }

    .table_b tr th,
    .table_b tr td {
        padding: 4px;
        font-size: 12px;
        color: rgba(255,255,255,.6);
        /*background-color:#383838;*/
        border: 1px solid rgba(255,255,255,.1);
        cursor: pointer;
    }

    .table_b tbody tr:hover {
        background-color: rgba(222,168,0,1);
        background-color: rgba(255,255,255,.1);
    }

    .table_b tr.even,
    .table_b tr.alt,
    .table_b tr:nth-of-type(even) {
        background: rgba(40,40,40,.8);
    }

    .table_b tr:nth-child(odd) {
        background-color: rgba(56,56,56,1);
    }

    .table_b tr td input {
        width: 16px;
        height: 16px;
        margin: 0;
        padding: 0;
    }

/*@media screen and (max-width: 600px) {
    .table_b {
        border: 0px;
    }

        .table_b tbody tr th {
            display: none;
        }

        .table_b tr {
            margin-bottom: 8px;
            border-bottom: 4px solid #ddd;
            display: block;
        }

        .table_b td {
            display: block;
            border-bottom: 1px solid #ddd;
            text-align: right;
        }

            .table_b td:last-child {
                border-bottom: 0px;
            }

            .table_b td::before {
                content: attr(data-label);
                font-weight: bold;
                text-transform: uppercase;
                float: left;
            }
}*/


.stl_Tablas_Prueba {
    width:60px;
    height:auto;
    display: flex;
    flex-flow: row nowrap;
    align-items:stretch;
    justify-content:center;
    align-content:center;
    gap:10px;
    background-color:antiquewhite;
    overflow:hidden;
}
.stl_Tablas_Prueba:hover{
    width:auto;
    overflow:auto;
    position:absolute;
}
.stl_Tablas_subMenu {
    width: 40px;
    height: auto;
    display: flex;
    flex-flow: row nowrap;
    align-items: stretch;
    justify-content: start;
    align-content: center;
    gap: 10px;
    background-color: rgba(255,255,255,0);
    overflow: hidden;
    padding: 4px;
    border-radius: 6px 6px 6px 6px;
    -moz-border-radius: 6px 6px 6px 6px;
    -webkit-border-radius: 6px 6px 6px 6px;
    /*vertical-align:middle;*/
    opacity:8;
    margin:2px;
}
    .stl_Tablas_subMenu:hover {
        width: auto;
        overflow: auto;
        position: absolute;
        -webkit-box-shadow: 0px 2px 6px 1px rgba(0,0,0,0.45);
        -moz-box-shadow: 0px 2px 6px 1px rgba(0,0,0,0.45);
        box-shadow: 0px 2px 6px 1px rgba(0,0,0,0.45);
        background-color: rgba(255,255,255,1);
        opacity: 1;
    }
    .stl_Tablas_subMenu input {
        color: rgba(0,0,0,1);
        background-color: rgba(83,83,83,.2);
        padding: 4px;
        border-radius: 6px 6px 6px 6px;
        -moz-border-radius: 6px 6px 6px 6px;
        -webkit-border-radius: 6px 6px 6px 6px;
        cursor:pointer;
        border:0;
    }

        .stl_Tablas_subMenu input:hover {
            background-color: #dea800;
            color: #000000;
        }